%global  git_commit 589d1b4
%global  cluster jruby
# Prevent brp-java-repack-jars from being run.
%define __jar_repack %{nil}
%define with_maven    1
Name:           bytelist
Version:        1.0.5
Release:        %mkrel 3
Summary:        A java library for lists of bytes

Group:          Development/Java 
License:        CPL or GPLv2+ or LGPLv2+
URL:            http://github.com/%{cluster}/%{name}
Source0:        %{url}/tarball/%{version}/%{cluster}-%{name}-%{version}-0-g%{git_commit}.tar.gz

BuildArch:      noarch
%if !%with_maven
BuildRequires:  ant
BuildRequires:  ant-junit
%else
BuildRequires:  maven
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-source-plugin
%endif
BuildRequires:  java-devel
BuildRequires:  jcodings
BuildRequires:  jpackage-utils
BuildRequires:  junit

Requires:       java
Requires:       jcodings
Requires:       jpackage-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A small java library for manipulating lists of bytes.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
A java library for lists of bytes.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{cluster}-%{name}-%{git_commit}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;


%build
echo "See %{url} for more info about the %{name} project." > README.txt

export MAVEN_REPO_LOCAL=$PWD/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
%if %with_maven

  mvn-rpmbuild -e \
    -Dmaven.test.skip=true \
    install javadoc:javadoc

%else
  export CLASSPATH=$(build-classpath junit jcodings)
  %__mkdir_p lib
  %ant

%endif

%install
%__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_javadir}

%if %with_maven
  %__cp -p target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%else
  %__cp -p lib/%{name}-1.0.2.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%endif

pushd %{buildroot}%{_javadir}/
  %__ln_s %{name}-%{version}.jar %{name}.jar
popd


mkdir -p %{buildroot}%{_mavenpomdir}
%add_to_maven_depmap org.jruby.extras bytelist %{version} JPP bytelist
install -pm 644 pom.xml  %{buildroot}%{_mavenpomdir}/JPP-bytelist.pom

%if %with_maven
mkdir -p %{buildroot}%{_javadocdir}/bytelist-%{version}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/bytelist-%{version}
ln -s bytelist-%{version} %{buildroot}%{_javadocdir}/bytelist
%endif

%if !%with_maven
%check
export CLASSPATH=$(build-classpath junit jcodings)
%ant test
%endif


%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc README.txt

%if %with_maven
%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/bytelist-%{version}
%{_javadocdir}/bytelist
%endif

%changelog

* Thu Nov 03 2011 gil <gil> 1.0.5-3.mga2
+ Revision: 162438
- rebuilt with maven

* Thu Apr 28 2011 dmorgan <dmorgan> 1.0.5-3.mga1
+ Revision: 92410
- Rebuild after bootstrapping
- imported package bytelist


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 25 2010 Mohammed Morsi <mmorsi@redhat.com> - 1.0.5-1
- Bumped version to latest upstream release

* Tue Feb 09 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> - 1.0.3-2
- Fix the clean up code in the prep section
- Fix typo
- Save changelog

* Thu Jan 28 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> - 1.0.3-1
- 1.0.3
- Remove gcj bits
- New URL
- Use macros in all sections of the spec
- Add README.txt generated on the fly

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.2.svn9177
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 15 2009 Conrad Meyer <konrad@tylerc.org> - 1.0.1-0.1.svn9177
- Bump to SVN HEAD.

* Sun Feb 15 2009 Conrad Meyer <konrad@tylerc.org> - 1.0-1
- Bump to 1.0 release.

* Tue Apr 22 2008 Conrad Meyer <konrad@tylerc.org> - 0.1-0.2.svn6558
- Do not include version in jar filename.
- Run tests in check section.

* Tue Apr 22 2008 Conrad Meyer <konrad@tylerc.org> - 0.1-0.1.svn6558
- Initial RPM.
